unit BTAsyncExTypes;

(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 *  Copyright (C) 2004 - 2006 Martin Offenwanger                             *
 *  Mail: coder@dsplayer.de                                                  *
 *  Web:  http://www.dsplayer.de                                             *
 *                                                                           *
 *  This Program is free software; you can redistribute it and/or modify     *
 *  it under the terms of the GNU General Public License as published by     *
 *  the Free Software Foundation; either version 2, or (at your option)      *
 *  any later version.                                                       *
 *                                                                           *
 *  This Program is distributed in the hope that it will be useful,          *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the             *
 *  GNU General Public License for more details.                             *
 *                                                                           *
 *  You should have received a copy of the GNU General Public License        *
 *  along with GNU Make; see the file COPYING.  If not, write to             *
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.    *
 *  http://www.gnu.org/copyleft/gpl.html                                     *
 *                                                                           *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
{
@author(Martin Offenwanger: coder@dsplayer.de)
@created(Apr 22, 2004)
@lastmod(Apr 02, 2005)
}

interface

uses ActiveX;

const
  BTAsyncExFileName = 'BTAsyncEx.ax';
  BTAsyncExFilterID = 'BTAsyncEx';
  BTAsyncExPinID = 'StreamOut';
  CLSID_BTAsyncEx: TGUID = '{3E0FA044-926C-42d9-BA12-EF16E980913B}';
  IID_IBTAsyncExControl: TGUID =
  '{3E0FA056-926C-43d9-BA18-EF16E980913B}';
  IID_IBTAsyncExCallBack: TGUID =
  '{3E0FB667-956C-43d9-BA18-EF16E980913B}';

type
  IBTAsyncExCallBack = interface(IUnknown)
    ['{3E0FB667-956C-43d9-BA18-EF16E980913B}']
    function BTAsyncExFilterState(Buffering: LongBool; PreBuffering: LongBool;
      Connecting: LongBool; Playing: LongBool;
      BufferState: integer): HRESULT; stdcall;
    function BTAsyncExICYNotice(IcyItemName: PChar;
      ICYItem: PChar): HRESULT; stdcall;
    function BTAsyncExMetaData(Title: PChar; URL: PChar): HRESULT; stdcall;
    function BTAsyncExSockError(ErrString: PChar): HRESULT; stdcall;
  end;

  IBTAsyncExControl = interface(IUnknown)
    ['{3E0FA056-926C-43d9-BA18-EF16E980913B}']
    function BTSetLoadFromStream(Stream: IStream; Length: int64): HRESULT;
      stdcall;
    function BTSetConnectToIp(Host: PChar; Port: PChar; Location: PChar;
      PreBuffersize: integer; MetaData: LongBool): HRESULT; stdcall;
    function BTSetConnectToURL(URL: PChar; PreBuffersize: integer;
      MetaData: LongBool): HRESULT; stdcall;
    function BTSetBuffersize(BufferSize: integer): HRESULT; stdcall;
    function BTGetBuffersize(out BufferSize: integer): HRESULT; stdcall;
    function BTSetRipStream(Ripstream: LongBool; Path: PChar;
      Filename: PChar): HRESULT; stdcall;
    function BTGetRipStream(out Ripstream: LongBool;
      out FileO: PChar): HRESULT; stdcall;
    function BTSetCallBack(CallBack: IBTAsyncExCallBack): HRESULT; stdcall;
    function BTFreeCallback(): HRESULT; stdcall;
    function BTExitAllLoops(): HRESULT; stdcall;
  end;

implementation

end.

